The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Pillow: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Pillow.
Vulnerable products: Fedora, Solaris, Ubuntu.
Severity of this weakness: 2/4.
Number of vulnerabilities in this bulletin: 3.
Creation date: 19/01/2021.
Références of this bulletin: CVE-2020-35653, CVE-2020-35654, CVE-2020-35655, FEDORA-2021-0ece308612, FEDORA-2021-15845d3abe, FEDORA-2021-880aa7bd27, FEDORA-2021-a8ddc1ce70, USN-4697-1, USN-4697-2, VIGILANCE-VUL-34362.

Description of the vulnerability 

An attacker can use several vulnerabilities of Pillow.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat alert impacts software or systems such as Fedora, Solaris, Ubuntu.

Our Vigil@nce team determined that the severity of this computer vulnerability bulletin is medium.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 3 vulnerabilities.

An attacker with a expert ability can exploit this weakness note.

Solutions for this threat 

Fedora 32-33: new python2-pillow packages.
New packages are available:
  Fedora 32: python2-pillow 6.2.2-5.fc32
  Fedora 33: python2-pillow 6.2.2-5.fc33

Fedora 32: new python-pillow packages.
New packages are available:
  Fedora 32: python-pillow 7.0.0-5.fc32

Fedora 33: new mingw-python-pillow packages.
New packages are available:
  Fedora 33: mingw-python-pillow 7.2.0-3.fc33

Fedora 33: new python-pillow packages.
New packages are available:
  Fedora 33: python-pillow 7.2.0-3.fc33

Oracle Solaris: patch for third party software of January 2021 v4.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Ubuntu: new python3-pil packages.
New packages are available:
  Ubuntu 20.10: python3-pil 7.2.0-1ubuntu0.1
  Ubuntu 20.04 LTS: python3-pil 7.0.0-4ubuntu0.2
  Ubuntu 18.04 LTS: python-pil 5.1.0-1ubuntu0.4, python3-pil 5.1.0-1ubuntu0.4
  Ubuntu 16.04 LTS: python-pil 3.1.2-0ubuntu1.5, python3-pil 3.1.2-0ubuntu1.5
  Ubuntu 14.04 ESM: python-pil 2.3.0-1ubuntu3.4+esm2, python3-pil 2.3.0-1ubuntu3.4+esm2
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides an application vulnerability announce. The Vigil@nce vulnerability database contains several thousand vulnerabilities.